Package org.eclipse.launchbar.core.target.launch

# Class LaunchConfigurationTargetedDelegate

java.lang.Object
org.eclipse.debug.core.model.LaunchConfigurationDelegate
org.eclipse.launchbar.core.target.launch.LaunchConfigurationTargetedDelegate

All Implemented Interfaces:
  `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`, `org.eclipse.debug.core.model.ILaunchConfigurationDelegate2`, `ILaunchConfigurationTargetedDelegate`

public abstract class LaunchConfigurationTargetedDelegate extends org.eclipse.debug.core.model.LaunchConfigurationDelegate implements ILaunchConfigurationTargetedDelegate
An implementation of the ILaunchConfigurationTargetedDelegate. Implements the ILaunchConfigurationDelegate2 interfaces to pick out the default target and pass it the targeted delegate methods. The default for the targeted delegate methods is to call the non targeted methods in the super class.

## Field Summary

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

## Constructor Summary

Constructors
Constructor
Description
`LaunchConfigurationTargetedDelegate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`buildForLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor)`
`boolean`
`buildForLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target, org.eclipse.core.runtime.IProgressMonitor monitor)`
Optionally performs any required building before launching the given configuration in the specified mode, and returns whether the debug platform should perform an incremental workspace build before the launch continues.
`boolean`
`finalLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor)`
`boolean`
`finalLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target, org.eclipse.core.runtime.IProgressMonitor monitor)`
Returns whether a launch should proceed.
`org.eclipse.debug.core.ILaunch`
`getLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode)`
`ITargetedLaunch`
`getLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target)`
Returns a launch object to use when launching the given launch configuration in the given mode, or `null` if a new default launch object should be created by the debug platform.
`boolean`
`preLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor)`
`boolean`
`preLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target, org.eclipse.core.runtime.IProgressMonitor monitor)`
Returns whether a launch should proceed.
`boolean`
`superBuildForLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, getBreakpoints, getBuildOrder, getProjectsForProblemSearch, isLaunchProblem, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.ILaunchConfigurationDelegate

`launch, showCommandLine`

## Constructor Details

### LaunchConfigurationTargetedDelegate

public LaunchConfigurationTargetedDelegate()

## Method Details

### getLaunch

public org.eclipse.debug.core.ILaunch getLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode) throws org.eclipse.core.runtime.CoreException

Specified by:
  `getLaunch` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate2`
Overrides:
  `getLaunch` in class `org.eclipse.debug.core.model.LaunchConfigurationDelegate`
Throws:
  `org.eclipse.core.runtime.CoreException`

### getLaunch

public ITargetedLaunch getLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationTargetedDelegate`
Returns a launch object to use when launching the given launch configuration in the given mode, or `null` if a new default launch object should be created by the debug platform. If a launch object is returned, its launch mode must match that of the mode specified in this method call.

Specified by:
  `getLaunch` in interface `ILaunchConfigurationTargetedDelegate`
Parameters:
  `configuration` - the configuration being launched
  `mode` - the mode the configuration is being launched in
Returns:
  a launch object or `null`
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to launch

### buildForLaunch

public boolean buildForLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Specified by:
  `buildForLaunch` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate2`
Overrides:
  `buildForLaunch` in class `org.eclipse.debug.core.model.LaunchConfigurationDelegate`
Throws:
  `org.eclipse.core.runtime.CoreException`

### buildForLaunch

public boolean buildForLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationTargetedDelegate`
Optionally performs any required building before launching the given configuration in the specified mode, and returns whether the debug platform should perform an incremental workspace build before the launch continues. If `false` is returned the launch will proceed without further building, and if `true` is returned an incremental build will be performed on the workspace before launching.

This method is only called if the launch is invoked with flag indicating building should take place before the launch. This is done via the method `ILaunchConfiguration.launch(String mode, IProgressMonitor monitor, boolean build)` .

Specified by:
  `buildForLaunch` in interface `ILaunchConfigurationTargetedDelegate`
Parameters:
  `configuration` - the configuration being launched
  `mode` - the mode the configuration is being launched in
  `monitor` - progress monitor, or `null`. A cancelable progress monitor is provided by the Job framework. It should be noted that the setCanceled(boolean) method should never be called on the provided monitor or the monitor passed to any delegates from this method; due to a limitation in the progress monitor framework using the setCanceled method can cause entire workspace batch jobs to be canceled, as the canceled flag is propagated up the top-level parent monitor. The provided monitor is not guaranteed to have been started.
Returns:
  whether the debug platform should perform an incremental workspace build before the launch
Throws:
  `org.eclipse.core.runtime.CoreException` - if an exception occurs while building

### superBuildForLaunch

public boolean superBuildForLaunch(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### preLaunchCheck

public boolean preLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Specified by:
  `preLaunchCheck` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate2`
Overrides:
  `preLaunchCheck` in class `org.eclipse.debug.core.model.LaunchConfigurationDelegate`
Throws:
  `org.eclipse.core.runtime.CoreException`

### preLaunchCheck

public boolean preLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationTargetedDelegate`
Returns whether a launch should proceed. This method is called first in the launch sequence providing an opportunity for this launch delegate to abort the launch.

Specified by:
  `preLaunchCheck` in interface `ILaunchConfigurationTargetedDelegate`
Parameters:
  `configuration` - configuration being launched
  `mode` - launch mode
  `monitor` - progress monitor, or `null`. A cancelable progress monitor is provided by the Job framework. It should be noted that the setCanceled(boolean) method should never be called on the provided monitor or the monitor passed to any delegates from this method; due to a limitation in the progress monitor framework using the setCanceled method can cause entire workspace batch jobs to be canceled, as the canceled flag is propagated up the top-level parent monitor. The provided monitor is not guaranteed to have been started.
Returns:
  whether the launch should proceed
Throws:
  `org.eclipse.core.runtime.CoreException` - if an exception occurs while performing pre-launch checks

### finalLaunchCheck

public boolean finalLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Specified by:
  `finalLaunchCheck` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate2`
Overrides:
  `finalLaunchCheck` in class `org.eclipse.debug.core.model.LaunchConfigurationDelegate`
Throws:
  `org.eclipse.core.runtime.CoreException`

### finalLaunchCheck

public boolean finalLaunchCheck(org.eclipse.debug.core.ILaunchConfiguration configuration, String mode, ILaunchTarget target, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchConfigurationTargetedDelegate`
Returns whether a launch should proceed. This method is called after `preLaunchCheck()` and `buildForLaunch()` providing a final chance for this launch delegate to abort a launch if required. For example, a delegate could cancel a launch if it discovered compilation errors that would prevent the launch from succeeding.

Specified by:
  `finalLaunchCheck` in interface `ILaunchConfigurationTargetedDelegate`
Parameters:
  `configuration` - the configuration being launched
  `mode` - launch mode
  `monitor` - progress monitor, or `null`. A cancelable progress monitor is provided by the Job framework. It should be noted that the setCanceled(boolean) method should never be called on the provided monitor or the monitor passed to any delegates from this method; due to a limitation in the progress monitor framework using the setCanceled method can cause entire workspace batch jobs to be canceled, as the canceled flag is propagated up the top-level parent monitor. The provided monitor is not guaranteed to have been started.
Returns:
  whether the launch should proceed
Throws:
  `org.eclipse.core.runtime.CoreException` - if an exception occurs during final checks